Route
Fetch Transfers for a Settlement
Fetch Transfers for a Settlement using the Razorpay API.
GET
Use this endpoint to retrieve the collection of all transfers made for a particular
recipient_settlement_id.
Query Parameters
string
required
Unique identifier of a settlement obtained from the
settlement.processed webhook payload.Descriptions for the optional query parameters are present in the Pagination & Rate Limiting documentation.Response Parameters
string
Unique identifier of the transfer.
string
The name of the entity. Here, it is
transfer.string
The status of the transfer. Possible values are:
createdpendingprocessedfailedreversedpartially_reversed
string
The status of the settlement. Possible values are:
pendingon_holdsettled
string
Unique identifier of the transfer source. The source can be a
payment or an order.string
Unique identifier of the transfer destination, that is, the Linked Account.
integer
The amount to be transferred to the Linked Account, in paise. For example, for an amount of ₹200.35, the value of this field should be 20035.
string
ISO currency code. We support route transfers only in
INR.integer
Amount reversed from this transfer for refunds.
json object
Set of key-value pairs that can be associated with an entity. These pairs can be useful for storing additional information about the entity. A maximum of 15 key-value pairs, each of 256 characters (maximum), are supported. For example,
"region": "south", "city": "Bangalore".string
Provides error details that may occur during transfers.
string
Type of the error.
string
Error description.
string
Name of the parameter in the API request that caused the error.
string
The point of failure in the specific operation. For example, customer, business and so on.
string
The stage where the transaction failure occurred. Stages can be different depending on the payment method used to make the transaction.
string
Unique identifier of the transfer.
string
The exact error reason. It can be handled programmatically.
array
List of keys from the
notes object which needs to be shown to Linked Accounts on their Dashboard. For example, "region", "city". Only the keys will be shown, not values.boolean
Indicates whether the account settlement for transfer is on hold. Possible values:
true: Puts the settlement on hold.false: Releases the settlement.
integer
Timestamp, in Unix format, indicates until when the settlement of the transfer must be put on hold. If no value is passed, the settlement is put on hold indefinitely.
string
Unique identifier of the settlement.
integer
Timestamp, in Unix, at which the record was created.
Errors
The api key/secret provided is invalid
The api key/secret provided is invalid
Code:
4xxThis error occurs when there is a mismatch between the API credentials passed in the API call and the API credentials generated on the Dashboard.Solution: Make sure the API Keys are active and entered correctly. Also, there should not be any whitespaces before or after the keys.